%define name perl-%{real_name}
%define real_name Spreadsheet-WriteExcel
%define version 2.11
%define release	1mdk

Summary:	Perl module to write Excel95 spreadsheets
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org/
Source0:	http://www.cpan.org/modules/by-module/Spreadsheet/%{real_name}-%{version}.tar.bz2
Requires:	perl-Parse-RecDescent
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This package contains the Spreadsheet::WriteExcel perl5 module which
can be used to write (not read) Excel95 binary spreadsheets. It supports
multiple workbook, cell formatting, formulas, hyperlinks and more.

Those spreadsheets will be compatible with Excel 5, 95, 97, 2000,
2002. The generated spreadsheets can also be imported in OpenOffice or
Gnumeric.

%prep

%setup -q -n %{real_name}-%{version}

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor 

%make OPTIMIZE="%{optflags}"

make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

find %{buildroot} -name 'perllocal.pod' -o -name '.packlist' | xargs rm -f

rm -rf %{buildroot}/%{perl_vendorlib}/Spreadsheet/WriteExcel/doc
rm -rf %{buildroot}/%{perl_vendorlib}/Spreadsheet/WriteExcel/examples

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES doc examples charts
%{_bindir}/chartex
%{perl_vendorlib}/Spreadsheet/WriteExcel
%{perl_vendorlib}/Spreadsheet/WriteExcel.pm
%{_mandir}/*/*

%changelog
* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.11-1mdk
- 2.11
- initial mandrake import

* Thu Sep 02 2004 Francis J. Lacoste <flacoste@logreport.org> 0.43-1
  - New upstream release.
  - Rebuilt on Fedora Core 2.

* Wed Nov 27 2002 Francis J. Lacoste <flacoste@logreport.org> 0.39-1
- New upstream release.
- Uses perl_prefix macro for compatibiliy between patched MDK MakeMaker
  and unpatched RedHat version.
- Remove perllocal.pod and .packlist in build root to prevent rpm-checkfiles
  from complaining.
- Removed doc and examples directory installed in perl_vendorlib.
- Turn off AutoReq because of bogus perl(OLE::...) dependency.
- Include CHANGES file.

* Sun Sep 15 2002 Francis J. Lacoste <flacoste@logreport.org> 0.37-3mdk
- Fix MandrakeSoft vendor test.

* Tue Sep 10 2002 Francis J. Lacoste <flacoste@logreport.org> 0.37-2
- Made spec file compatible with RedHat 7.2 build environment.

* Mon Aug 19 2002 Francis J. Lacoste <flacoste@logreport.org> 0.37-1mdk
    - First Mandrake RPM
